<?php

namespace App\Notification\NotificationBody;

use App\Notification\NotificationBody;
use App\Notification\Stringifiable;

class SimpleNotificationBody extends NotificationBody {

    private string $body;

    public function __construct(string $body) {
        $this->body = $body;
    }
    /**
     * @inheritDoc
     */
    public function toMarkdownString(): string {
        return $this->body;
    }

    public function toHTMLString(): string {
        return $this->body;
    }

    /**
     * @inheritDoc
     */
    public function toString(): string {
        return $this->body;
    }
}
